#include <stdio.h>
#include "config.h"

#ifndef BCITES_INI_HUU 
#define BCITES_INI_HUU

const char * BCITES_VERSION;

typedef struct book BOOK;

struct book
     {
     char * abbrev; /* the abbreviation of the book */
     BOOK * next; /* the next abbreviation (where more than one 
				abbreviations are used) */
     };

typedef struct books BOOKS;

struct books
     {
     BOOK * book; /* the list of abbreviations of this book */
     BOOKS * next; /* then next book */
     };

typedef struct lang LANG;
struct lang 
     {
     char * name; /* the name of the language <== '{'*/
  
     char chars[CHS_CNT]; /* set of chars used in biblical cites <== '!' */
     char * lower; /* set of lower chars (the alfabet) <= '_' */
     char * upper; /* set of upper char ( dtto ) <='^' */
     char * parts; /* chars for signing the parts of verses <= '&' */
     BOOKS * books; /* names of biblical books */
     LANG * next; /* then next language struct */
     };

int bcites_debug;

/* =========== FUNCTIONS ================ */

void bcites_init();
LANG * findlang(char * s);
char * booknr (LANG * lg, int bok);
void bookprn(FILE * f,LANG * lg, int bok);

/* some more */
int readcr(char * strin, int delka ,FILE * fd);
char * newstt (char * s);

#endif
