
#include <stdio.h>
#include <stdlib.h>
#include "bcites.h"
#include "scite.h"
#include <string.h>

FILE * fin;
FILE * fout;

LANG *lg,*lgn;

char bufff[10000];

int my_in () {
return fgetc(fin); 
}

void my_out (char c) {
fputc (c,fout);
}

void my_heureka(int ap, int bp) {
int i;
int j=0;
int lasts=0; /* byl poslednim znakem strednik? (pro 'vlnku') */
char cc;
char * vysl;

fprintf(fout,"\\bcites{");
for (i=bp; i!=ap; )
 {

 cc=bcites_sbuff[i]; 
/* printf ("-->%c<--\n",cc); */
bufff[j]=cc; j++;
 INCR (i);
 }
bufff[j]='\0';
vysl=trans_cite((char *)bufff,lg,lg);
printf ("[%s] => [%s]\n",(char *)bufff,vysl);


/* 'Vlnka' pro bcites */
for(i=0;i<strlen(vysl);i++)
 {
 if ((vysl[i]==' ') && (!lasts)) fputc('~',fout);
 else fputc(vysl[i],fout);
 lasts=(vysl[i]==';');
 }

/* A jednou bez vlnky a bez diakritiky - kvuli indexaci */ 
vysl=trans_cite((char *)bufff,lg,lgn);
fprintf(fout,"}{%s}",vysl);

/* Workaround  '\bcites{Mt 7 }blabla' => '\bcites{Mt 7} blabla. */
i=strlen(bufff)-1;
if (bufff[i]==' ') fputc(' ',fout);

free(vysl);
}



int main (int argc,char **argv) {
bcites_init();

if (argc!=3) 
 {
 printf("USAGE: heller <input_file> <output_file>\n"
        "Found cites will be printed on stdout\n\n");
 exit(-1);
 }


if (!(fin=fopen(argv[1],"r")))
 { 
 fprintf(stderr,"Cannot open \"%s\"\n",argv[1]);
 exit(-1);
 }
if (!(fout=fopen(argv[2],"w")))
 { 
 fprintf(stderr,"Cannot open \"%s\"\n",argv[2]);
 exit(-1);
 }

lg=findlang("cz-il2");
lgn=findlang("cz");

scites_core(&my_in,&my_out,&my_heureka,4,lg);
fclose(fin);
fclose(fout);
return 0;
}
