#include "strg.h"
#include "init.h"
#include "tests.h"

typedef struct pars PARS;

struct pars
    {
    int sta; /* status */
    char * string;
    char * out; /* the output string */
    int ousta; /* the output status */
    int end;
    int errr;
    char chr;
    LANG * l; 
    };

void bcites_pinit (PARS * p,LANG*lg) {
p->sta=0;
p->out=NULL;
p->string=NULL;
p->ousta=0;
p->l=lg;
p->end=0;
p->errr=0;
}

void bcites_pfree (PARS *p) {
free(p->string); free(p->out);
}


void sh(PARS * p,char ch){
p->string=strac(p->string,ch); 
}

void st (PARS * p) {
sh(p,p->chr);
}

void er (PARS * p) {
p->errr=1;
p->end=1;
p->sta=-1;
p->ousta=-1;
}

void end (PARS * p) {
p->end=1;
}

void out (PARS * p,int sta) {
if (p->string==NULL) er (p);
else {p->out=p->string;
p->string=NULL;
p->ousta=sta;}
}

int bcites_parser (char ch, PARS * p) {
p->chr=ch;
p->ousta=0;
if (p->out!=NULL) { free(p->out); p->out=NULL; }

switch (p->sta) {
/* uplny zacatek */
case 0:        
	if (ifc_1(ch,p->l)) p->sta=0;
   else if (ifc_2(ch,p->l)) {st(p); p->sta=1; }
   else if (ifc_5(ch,p->l)) {st(p); p->sta=3; }
   else er(p); 
 break;
/* kniha - rim. cislice ? */
case 1:
	if (ifc_1(ch,p->l)) p->sta=4; 
   else if (ifc_2(ch,p->l)) st(p); 
   else if (ifc_0(ch,p->l)) {end(p); out (p,1); p->sta=-1; }	
   else if (ifc_5(ch,p->l)) {out (p,1); st(p); p->sta=10; }	
   else if (ifc_10(ch,p->l)) {out (p,1); p->sta=0; }	
   else if (ifc_11(ch,p->l)) {out (p,2); p->sta=0; }	
   else if (ifc_16(ch,p->l)) p->sta=4; 
   else er(p);
 break;
 /* kniha */
case 2:
	if (ifc_2(ch,p->l)) st(p);
   else if (ifc_0(ch,p->l)) {end(p); out (p,1); p->sta=-1; }
   else if (ifc_1(ch,p->l)) p->sta=9;	
   else if (ifc_5(ch,p->l)) {out (p,1); st(p); p->sta=10; }	
   else if (ifc_10(ch,p->l)) {out (p,1); p->sta=0; }	
   else if (ifc_11(ch,p->l)) {out (p,2); p->sta=0; }	
   else if (ifc_16(ch,p->l)) p->sta=9;
   else er(p);  	
 break;
 /* kniha - arabska cislice */
case 3:
	if (ifc_5(ch,p->l)) st(p);
   else if (ifc_0(ch,p->l)) {end(p); out (p,1); p->sta=-1; }	
   else if (ifc_1(ch,p->l)) p->sta=5; 	
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2; }	
   else if (ifc_16(ch,p->l)) p->sta=5; 
   else er(p);	
 break;
 /* kniha - mezera za rim. cislici */ 
case 4:
	if (ifc_1(ch,p->l)) p->sta=4;
   else if (ifc_0(ch,p->l)) {end(p); out (p,1); p->sta=-1; }	
   else if (ifc_5(ch,p->l)) {out (p,1); st(p); p->sta=10; }	
   else if (ifc_10(ch,p->l)) {out (p,1); p->sta=0; }	
   else if (ifc_11(ch,p->l)) {out (p,2); p->sta=0; }	
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2;}
   else er(p);
 break;
 /* kniha - mezera za ar. cislici */
case 5:
	if (ifc_1(ch,p->l)) p->sta=5;
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2;}
   else er(p);
 break;   


 /* mezera za knihou */
case 9:
	if (ifc_1(ch,p->l)) p->sta=9;   
   else if (ifc_0(ch,p->l)) {end(p); out (p,1); p->sta=-1; }	
   else if (ifc_5(ch,p->l)) { out(p,1); st(p); p->sta=10; }	
   else if (ifc_10(ch,p->l)) {out (p,1); p->sta=0; }	
   else if (ifc_11(ch,p->l)) {out (p,2); p->sta=0; }	
   else er(p);  	
 break;
 /* kapitola */
case 10:
	if (ifc_0(ch,p->l)) {end(p); out(p,3); p->sta=-1; }
   else if (ifc_1(ch,p->l)) p->sta=11;
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,3); p->sta=20;}
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=30;}
   else if (ifc_11(ch,p->l)) {out(p,4); p->sta=70;}
   else if (ifc_15(ch,p->l)) {out(p,3); st(p); p->sta=90;}
   else er(p);
 break;
 /* mezera za kapitolou */
case 11:
	if (ifc_0(ch,p->l)) {end(p); out(p,3); p->sta=-1; }
   else if (ifc_1(ch,p->l)) p->sta=11;
   else if (ifc_10(ch,p->l)) {out(p,3); p->sta=20;}
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=30;}
   else if (ifc_11(ch,p->l)) {out(p,4); p->sta=70;}
   else if (ifc_15(ch,p->l)) {out(p,3); st(p); p->sta=90;}
   else er(p);
 break;
 /* mezera za 'n', nebo 'nn' */
case 12:
	if (ifc_0(ch,p->l)) {end(p); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=12;
   else if (ifc_10(ch,p->l)) p->sta=20;
   else er(p);
 break;



 /* za strednikem */
case 20:
	if (ifc_1(ch,p->l)) p->sta=20;
   else if (ifc_2(ch,p->l)) {st(p); p->sta=1; }
   else if (ifc_5(ch,p->l)) {st(p); p->sta=21; }
   else er(p);
 break;
 /* cislo za strednikem */
case 21:
	if (ifc_0(ch,p->l)) {end(p); out(p,3); p->sta=-1;}
   else if (ifc_15(ch,p->l)) {out(p,3);st(p); p->sta=90; }
   else if (ifc_1(ch,p->l)) p->sta=22;
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2;}
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,3); p->sta=20; }
   else if (ifc_11(ch,p->l)) {out(p,4); p->sta=70; }
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=30; }
   else if (ifc_16(ch,p->l)) p->sta=23; 
     else er(p);
 break;
 /* mezera za cislem za strednikem */ 
case 22:
	if (ifc_0(ch,p->l)) {end(p); out(p,3); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=22;
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2;}
   else if (ifc_10(ch,p->l)) {out(p,3); p->sta=20; }
   else if (ifc_11(ch,p->l)) {out(p,4); p->sta=70; }
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=30; }
   else if (ifc_15(ch,p->l)) {out(p,3); p->sta=90; } 
     else er(p);
 break;
 /* tecka za cislem za strednikem */
case 23:
	if (ifc_1(ch,p->l)) p->sta=23;
   else if (ifc_2(ch,p->l)) {sh(p,' '); st(p); p->sta=2;}
   else er(p);
 break;
 	 
 /* mezera pred versem */
case 30:
	if (ifc_1(ch,p->l)) p->sta=30;
   else if (ifc_5(ch,p->l)) {st(p); p->sta=31;}
   else er(p);
 break;
 /* vers */
case 31:
	if (ifc_0(ch,p->l)) {end(p); out(p,5); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=32;
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,5); p->sta=20;}
   else if (ifc_11(ch,p->l)) {out(p,6); p->sta=40;}
   else if (ifc_12(ch,p->l)) {out(p,5); p->sta=30;}
   else if (ifc_14(ch,p->l)) {out(p,5); st(p); p->sta=95;}
   else if (ifc_15(ch,p->l)) {out(p,5); st(p); p->sta=92;}
   else if (ifc_20(ch,p->l)) {out(p,5); st(p); p->sta=96;}
   else er(p); 
 break;
 /* mezera za versem */
case 32:
	if (ifc_0(ch,p->l)) {end(p); out(p,5); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=32;
   else if (ifc_10(ch,p->l)) {out(p,5); p->sta=20;}
   else if (ifc_11(ch,p->l)) {out(p,6); p->sta=40;}
   else if (ifc_12(ch,p->l)) {out(p,5); p->sta=30;}
   else er(p); 
 break;
 /* mezera za 'abcde' */
case 33:
	if (ifc_0(ch,p->l)) {end(p); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=33;
   else if (ifc_10(ch,p->l)) p->sta=20;
   else if (ifc_12(ch,p->l)) p->sta=30;
   else if (ifc_11(ch,p->l)) p->sta=40;
   else er(p); 
 break;


 /* mezera pred versem!! */
case 40:
	if (ifc_1(ch,p->l)) p->sta=40;
   else if (ifc_5(ch,p->l)) {st(p); p->sta=41;}
   else er(p); 
 break;
 /* vers!! */
case 41:
	if (ifc_0(ch,p->l)) {end(p); out(p,5); p->sta=-1;}
   else if (ifc_1(ch,p->l)) {out(p,5); p->sta=42;}
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,5); p->sta=20;}
   else if (ifc_12(ch,p->l)) {out(p,5); p->sta=30;}
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=74;}
   else if (ifc_20(ch,p->l)) {out(p,5); st(p); p->sta=96;}
   else er(p); 
 break;
 /* mezera za versem!! */
case 42:
	if (ifc_0(ch,p->l)) {end(p); out(p,5); p->sta=-1;}
   else if (ifc_1(ch,p->l)) p->sta=42;
   else if (ifc_10(ch,p->l)) {out(p,5); p->sta=20;}
   else if (ifc_12(ch,p->l)) {out(p,5); p->sta=30;}
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=74;}
   else er(p); 
 break;
 	 
 	 

 /* mezera pred kapitolou** */
case 70:
	if (ifc_1(ch,p->l)) p->sta=70;
   else if (ifc_5(ch,p->l)) {st(p); p->sta=71;}
   else er(p);
 break;
 /* kapitola** */
case 71:
	if (ifc_0(ch,p->l)) {end(p); out(p,3); p->sta=-1; }
   else if (ifc_1(ch,p->l)) {out(p,3); p->sta=72;}
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,3); p->sta=20;}
   else if (ifc_13(ch,p->l)) {out(p,3); p->sta=74;}
   else er(p);
 break;
 /* mezera za kapitolou** */
case 72:
	if (ifc_0(ch,p->l)) {end(p); p->sta=-1; }
   else if (ifc_1(ch,p->l)) p->sta=72;
   else if (ifc_10(ch,p->l)) p->sta=20;
   else if (ifc_13(ch,p->l)) p->sta=74;
   else er(p);
 break;
 /* mezerw pred versem** */
case 74:
	if (ifc_1(ch,p->l)) p->sta=75;
   else if (ifc_5(ch,p->l)) { st(p); p->sta=75; }
   else er(p);
 break;   
 /* vers** */
case 75:
	if (ifc_0(ch,p->l)) {end(p); out(p,5); p->sta=-1; }
   else if (ifc_1(ch,p->l)) {out(p,5); p->sta=76;}
   else if (ifc_5(ch,p->l)) st(p);
   else if (ifc_10(ch,p->l)) {out(p,5); p->sta=20;}
   else if (ifc_20(ch,p->l)) {out(p,5); st(p); p->sta=96;}
   else er(p);
 break;
 /* mezera za versem** */
case 76:
	if (ifc_0(ch,p->l)) {end(p); p->sta=-1; }
   else if (ifc_1(ch,p->l)) p->sta=76;
   else if (ifc_10(ch,p->l)) p->sta=20;
   else er(p);
 break;
  
 
 
 /* 'n' za kapitolou */
case 90:
	if (ifc_15(ch,p->l)) {st(p); p->sta=91;}
   else if (ifc_1(ch,p->l)) { out(p,10); p->sta=12;}
   else if (ifc_0(ch,p->l)) { end(p); out(p,10); p->sta=-1; }
   else if (ifc_10(ch,p->l)) {out (p,10); p->sta=20;}
   else er(p);
 break;
 /* 'nn' za kapitolou */
case 91:
	if (ifc_0(ch,p->l)) {end(p); out(p,11); p->sta=-1; }
   else if (ifc_1(ch,p->l)) { out(p,11); p->sta=12; }
   else if (ifc_10(ch,p->l)) {out(p,11); p->sta=20; }
   else er(p);
 break; 
 /* 'n' za versem */
case 92:
	if (ifc_15(ch,p->l)) {st(p); p->sta=93;}
   else if (ifc_1(ch,p->l)) { out(p,10); p->sta=12;}
   else if (ifc_0(ch,p->l)) { end(p); out(p,10); p->sta=-1; }
   else if (ifc_10(ch,p->l)) {out (p,10); p->sta=20;}
   else if (ifc_12(ch,p->l)) {out (p,10); p->sta=30;}
   else er(p);
 break;
 /* 'nn' za versem */
case 93:
	if (ifc_0(ch,p->l)) {end(p); out(p,11); p->sta=-1; }
   else if (ifc_1(ch,p->l)) { out(p,11); p->sta=12; }
   else if (ifc_10(ch,p->l)) {out(p,11); p->sta=20; }
   else er(p);
 break; 
 /* '+' za versem */
case 95:
	if (ifc_0(ch,p->l)) {end(p); out(p,12); p->sta=-1; }
   else if (ifc_1(ch,p->l)) { out(p,12); p->sta=12; }
   else if (ifc_10(ch,p->l)) {out(p,12); p->sta=20; }
   else er(p);
 break; 
 /* 'abcde' za versem */
case 96:
	if (ifc_0(ch,p->l)) {end(p); out(p,13); p->sta=-1; }
   else if (ifc_1(ch,p->l)) { out(p,13); p->sta=33; }
   else if (ifc_10(ch,p->l)) {out(p,13); p->sta=20; }
   else if (ifc_11(ch,p->l)) {out(p,14); p->sta=40; }
   else if (ifc_12(ch,p->l)) {out(p,13); p->sta=30; }
   else er(p);
 break; 
}

}



/*
 * For debugging only :
 */

#ifdef PDEBUG

const char * oustats[]={"WAIT","BOOK","BOOK-F","CHAP","CHAP-F","VERS","VERS-F",
                  "-","-","-","'f'","'ff'","'+'","'abcde'","'ab..'-F"};

void pokus1(char *hokus) {
PARS pp;
int i,
    j;
int last_s;

bcites_pinit(&pp,findlang("cz"));
for (i=0; (pp.end!=1) && (pp.errr!=1); i++) 
 {
 last_s=pp.sta;
 bcites_parser(hokus[i],&pp);
 printf("\n\n-------\n%s\n",hokus);
 j=i;
 while(j>0) 
  {
  j--;
  printf(" ");
  }
 printf("^\n%02d>STA= %d->%d  \"%s\", OUT= %d  \"%s\", ERR= %d, END= %d\n",
 	i,last_s,pp.sta,pp.string,pp.ousta,pp.out,pp.errr,pp.end);
 }
}

void pokus2(char *hokus) {
PARS pp;
int i;

bcites_pinit(&pp,findlang("cz"));

printf("\n=======================================\n\n%s\n\n",hokus);

for (i=0; (pp.end!=1) && (pp.errr!=1); i++) 
 {
 bcites_parser(hokus[i],&pp);
 if (pp.errr>0) printf(" ! Error ! \n\n");
 if (pp.ousta>0) printf("%02d> (%s)\t.%s.\n",i,oustats[pp.ousta],pp.out); 
 }
}

void pokus(char *h) { pokus2(h); pokus1(h); }

void main(){
/*
 bcites_init();
 pokus ("Dt 9,1-2b; Gn 1; 2nn");
 pokus("Dt 5,1a-6,5; 4,8 - 9,10; 10,10- 11,11 ");
 pokus("1 Sam -2Kr; Gn 5-17,33b; 2 Par15,3 .7nn;9; Iz 15,6+ ; Ex 3,5-7.9.11-24.29nn; 14,4");
*/
char aaa[100];
int i;
bcites_init();

for (i=0; i==0; i=0) 
{
printf("Vloz citaci: ");
gets(aaa);
 pokus2(aaa);
 }
  
}

#endif
