
#include <stdio.h>
#include "strg.h"
#include "init.h"
#include "parser.h"
#include "parser_2.h"
#include "bindex.h"

/*
 *  Algorithm for searching biblical cites
 *
 *
 */

#define BUFFLEN 100000

char bcites_sbuff[BUFFLEN];
int bp,ap,tp; /* 'base', 'actual' and 'top' 'pointer' in buffer */
PARS pars;
LANG *lg;
int lev; /* the level of checking (1..4, recomended 4) */


/*  
 *   subroutines
 */



#define INCR(a) a++; if (a==BUFFLEN) a=0;

#define PRESET bcites_pinit(&pars,lg)

#define PRASET free(pars.string); free(pars.out); PRESET

void freee(void * out()) {
out(bcites_sbuff[bp]);
INCR(bp);
}

void test(void * out()) {
INCR(tp); 
if (tp==bp) 
 {
 PRASET;
 freee(out);
 ap=bp;
 }
}

int push (int *in(),void * out()) {
int ii;
ii=bcites_sbuff[tp]=in();
test(out);
return ii;
}


/* 
 * testing a string to given level (1..4)
 *
 *      returns: ok=1, k.o.=0 ;-)
 */

check_lev (char * cit) {
int lev=9;                /* FIXME !!!  !!!!!!!!!!!!! DELENDUM !!!!! */
int big=1;       /* FIXME !! delendum (.. test big initials ? ) */
int ok=1;
char *aa;


if (big && !(ifc_5(cit[0],lg) || ifc_4(cit[0],lg))) ok=0; 
else if ((lev>0) && (bcites_check1(cit,lg)!=0)) ok=0;
else if ((lev>1) && ((aa=bcites_check2(cit,lg))!=NULL)) {ok=0;free(aa);}
else if ((lev>2) && ((aa=bcites_check3(cit,lg))!=NULL)) {ok=0;free(aa);}
else if ((lev>3) && (bcites_check4(cit,lg)!=0)) ok=0;
else if ((lev>8) && (bcites_check9(cit,lg)!=0)) ok=0;

return ok;
}

/*
 *  testing of a cite 
 *   returns: ok: 'pointer' to upper bound, k.o:-1
 */

int vtest() {
char bafr[BUFFLEN+1];
int i,j=0,
    okok=0;
int kkk;

if (bp!=ap)
 {
                               /* first of all, move the text to 'bafr' */
for (i=bp; (i!=ap); )
     {bafr[j]=bcites_sbuff[i]; j++; INCR(i);}

bafr[j]='\0';

while (okok==0 && j>0)  /*   FIX !!!! 0 --->> 2 **************************/
 {
 bafr[j]='\0';
 okok=check_lev(bafr);
/* printf("in>>%s\n",bafr);
 printf("(j=%d) test>>%d\n",j,okok); */
 j--;
 }
 }

kkk=((okok==0) ? -1 : (ap=(bp+j)%BUFFLEN) );
return kkk;
}

/*
 */

#define NEXTIN if (ap==tp) ef=push (in,out); 


/*
 *
 *  The core of the 'scan cites' routine.
 *
 *
 *
 *
 *
 */

int scites_core (int *in(),void *out(),void *heureka(),int level,LANG *l) {
int ef=1; /* end of file? */ 
int inc=1;

lg=l;lev=level;
tp=0;
bp=ap=-1;
PRESET;

while (ef!=EOF)  
 {
 if (inc) INCR(ap);
 inc=1;
 NEXTIN;
 bcites_parser(bcites_sbuff[ap],&pars);
// printf("<%d/%d/%d\"%d>",bp,ap,tp,pars.errr); 
 if (pars.errr || pars.sta<0)
  { 
  if (bp==-1) bp=0;   /* FIX-faxen */
  if (vtest()>-1)
   {        /* now we have found some citation */
   INCR(ap);
   heureka(ap,bp);
   bp=ap;      /* skip the cite */
   }
  else
   {
   if (ifc_1(bcites_sbuff[bp],lg)) 
           while(ifc_1(bcites_sbuff[bp],lg) && bp!=ap) 
           freee(out); 
   else if (ifc_2(bcites_sbuff[bp],lg)) 
           while(ifc_2(bcites_sbuff[bp],lg) && bp!=ap) 
            freee(out); 
   else freee(out); 
   inc=0;          /* do not increment _ap_ in the next cycle */
   ap=bp;
   }
  PRASET;
  }
 }
}




