/* 
 * pomocne stringove operace: stradd, strac
 *
 *  
 */

#include <unistd.h> 
#include <stdio.h>
#include "config.h"

#define ZAOK(a)  (a/BCI_SLEN+1)*BCI_SLEN

char * stradd(char * dest, char * sour){
char * ha;
size_t src,dst,new;

src=strlen(sour);
ha=dest;

if (dest==NULL) 
{
 if ((ha=(char *)malloc(ZAOK(src+1)))==NULL)
 {
 fprintf(stderr,"libbcites (stradd): cannot allocate memory !\n");
 exit(1);
 }
 memcpy(ha,sour,src+1);
}
else 
{
 dst=strlen(dest);
 new=src+dst+1;
 if ((new/BCI_SLEN)>((dst+1)/BCI_SLEN))  /* need to realloc? */
  {
  if ((ha=(char *)realloc(dest,ZAOK(new)))==NULL)
   {
   fprintf(stderr,"libbcites (stradd): cannot reallocate memory !\n");
   exit(1); 
   }
  }
  strncat(ha,sour,src+1); 
}
return ha; 
}


char * strac(char * dest, char sour){
char * ha;
size_t src,dst,new;

ha=dest;

if (dest==NULL) 
{
 if ((ha=(char *)malloc(ZAOK(2)))==NULL)
 {
 fprintf(stderr,"libbcites (strac): cannot allocate memory !\n");
 exit(1);
 }
 ha[0]=sour; ha[1]='\0';
}
else 
{
 dst=strlen(dest);
 new=dst+2;
 if ((new/BCI_SLEN)>((dst+1)/BCI_SLEN))  /* need to realloc? */
  {
  if ((ha=(char *)realloc(dest,ZAOK(new)))==NULL)
   {
   fprintf(stderr,"libbcites (strac): cannot reallocate memory !\n");
   exit(1); 
   }
  }
  ha[dst]=sour;ha[dst+1]='\0'; 
}
return ha; 
}


char * itoa(int i) {
static char a[4];
int j,k,l;

a[0]='\0';a[1]='\0';a[2]='\0';a[3]='\0';
l=100;j=i;
if (i<1 || i>999) { a[0]='?'; a[1]='!'; a[2]='?'; a[3]='\0'; }
else
 {
 for (k=0; (l>0);)
  {
  a[k]='0'+(char)(j/l);
  if (a[k]>'0' || k>0) k++;
  j%=l; l/=10;
  }
 a[k+1]='\0'; 
 }
return (char *) a;  
}
