
#include "init.h"
#include "tests.h"

/* 
 *  Compares two book abbreviations (not case sensitive)
 */

int combook (char * s1, char * s2, LANG * l) {
int i;
int sta;

sta=1;

for (i=0; (s1[i]!='\0' && s2[i]!='\0' && sta) ; i++)
 {
 if (upper(s1[i],l)!=upper(s2[i],l)) sta=0; 
 } 
if ((s1[i]!='\0') || (s2[i]!='\0')) sta=0;
return sta;
}

/*
 * Search for a book abbreviation in language definition fields
 */

int findbook(char *s, LANG *l) {
int bnum=0,
    i;
BOOKS * bks;
BOOK * bk;

bks=l->books;
for(i=1; (bks!=NULL) && (bnum==0); i++) 
 {
 bk=bks->book;
 for (; (bk!=NULL) && (bnum==0); )
  {
  /* printf("[%d/%s]",i,bk->abbrev);    for debugging only */
  if (combook(bk->abbrev,s,l)) bnum=i;
  bk=bk->next;
  }
 bks=bks->next;
 }
return bnum; 
}

